Subject: Re: Hijacking of prefixes - IPv4 class E (was: Announcing 2003::/16 during tests of "shipworm")

From: Petr Baudis <[email-masked]>
Date: Sun, 9 Dec 2001 11:29:29 +0100

Dear diary, on Sun, Dec 09, 2001 at 05:20:11AM CET, I got a letter,
where Michel Py <[email-masked]> told me, that...
> From: Jan Oravec [mailto:[email-masked]]
> >> Something like that would be nice for experiments, but advertising
> >> such prefixes has no effect, because the prefix can be already used
> >> by someone else for another experiment.
> 
> There is a finite number of people that need to advertise a /16 on the
> IPv6 DFZ at the same time for the sole purpose of experimenting a new
> protocol.
If they want to experiment with it, why they need to use multiple AS?

> >> That implies that such experiments cannot be global experiments.
> 
> Wrong.
Nope, right. How will you coordinate such people so that two won't choose
same prefix and advertise it?

> >> The only one way is to make some authority for time limited
> >> prefix delegations
> 
> Absolutely, and there needs to be no authority for that. 
See above.

> >> <- ugly solution.
> Why?
Because it will create mess as well. You can't expect that after given time
everyone will move on, stop advertising, start filtering etc. It will create
inconsistences.

> >> Anyway, does anyone need to do global experiments ?
> 
> This is not even debatable. Not everyone needs global experiments, but
> some people do. In the case that prompted all that turmoil
> (shipworm/microsoft), there is no doubt that whoever develops such a
> protocol will one day or another need to advertise a /16.
See first comment.

> Hijacking is bad, but regulated hijacking could have some use,
> especially if it does not break anything.
It can break another hijacking ;). Now how do you want to regulate it, if there
needs to be no authority for that?

-- 

				Petr "Pasky" Baudis

UN*X programmer, UN*X administrator, hobbies = IPv6, IRC, FreeCiv hacking
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------